/*================================================*/
import de.bezier.data.*;

/*================================================*/
XlsReader reader;

/*================================================*/
  PImage stripes, theHeading, crime, services, corner, unemploy;
  // var for current roll over
  int rollover;
  int row = 0;
  int numRows = 10;
  PFont Oswald, OswaldBold, OswaldLight;
  Boolean showData  = false;
  String[] municipality = new String[numRows];
  float[] CrimeFemale = new float[numRows];
  float[] CrimeMale = new float[numRows];
  float[] ServicesFemale = new float[numRows];
  float[] ServicesMale = new float[numRows];
  float[] UnemployFemale = new float[numRows];
  float[] UnemployMale = new float[numRows];
  //float[] CrimeFemale, CrimeMale, ServicesFemale, ServicesMale, UnemployFemale, UnemployMale = new float[numRows];
  
/*================================================*/
// total no of images
int numImages = 11;

// image name array
PImage[] img = new PImage[numImages];

// x position you want
float mapX = 50;

// y position you want
float mapY = 200;

// map width you want
float mapW = 330;

// map height you want
float mapH = 330;

/*================================================*/
void setup() 
{
  size(800, 600);
  
  
/*================================================*/  
  for(int i = 0; i < numImages; i++)
  { 
    img[i] = loadImage((i+1)+"_GP_Boundaries.png");
  } 
/*================================================*/
  Oswald = loadFont("Oswald-Regular-48.vlw");
  OswaldBold = loadFont("Oswald-Bold-48.vlw");
  OswaldLight = loadFont("Oswald-Light-48.vlw");

/*================================================*/
  reader = new XlsReader( this, "Data.xls");

  stripes = loadImage("stripes.png");
  theHeading = loadImage("Heading.png");
  crime = loadImage("crime.png");
  services = loadImage("services.png");
  corner = loadImage("corner.png");
  unemploy = loadImage("unemploy.png");
    
/*================================================*/    
    for(int i = 0; i < numRows; i++){
     CrimeFemale[i] = reader.getFloat(i+1, 2);
     CrimeMale[i] = reader.getFloat(i+1, 4);
     ServicesFemale[i] = reader.getFloat(i+1, 6);
     ServicesMale[i] = reader.getFloat(i+1, 8);
     UnemployFemale[i] = reader.getFloat(i+1, 10);
     UnemployMale[i] = reader.getFloat(i+1, 12);
     municipality[i] = reader.getString(i+1, 0);
    }
}


void draw()
{

/*================================================*/ 
  background(255);
  noStroke();
  fill(117, 195, 211);
  rectMode(CENTER);
  rect(400, 300, 785, 585);
  tint(255);
  image(stripes, 0, 0);
    image(theHeading, 0, 0);
    image(crime, 0, 0);
    image(services, 0, 0);
    image(corner, 0, 0);
    image(unemploy, 0, 0);
    
/*================================================*/

 map(mapX,mapY,mapW,mapH); 
   
/*================================================*/
  if (showData == true)
{
      
    fill(0, 200);
    textFont(OswaldBold, 44);
    //textFont(OswaldBold, 48);
    //fill(0, 50);
    text(CrimeFemale[row] + "%", 500, 280);
    
    //textFont(OswaldBold, 48);
    //fill(0, 50);
    text(CrimeMale[row] + "%", 655, 280);
    
    //textFont(OswaldBold, 48);
    //fill(0, 50);
    text(ServicesFemale[row] + "%", 500, 420);
    
    //textFont(OswaldBold, 48);
    //fill(0, 50);
    text(ServicesMale[row] + "%", 655, 420);
    
    //textFont(OswaldBold, 48);
    //fill(0, 200);
    text(UnemployFemale[row] + "%", 500, 555);
    
    //textFont(OswaldBold, 48);
    //fill(0, 50);
    text(UnemployMale[row] + "%", 655, 555);

    textFont(Oswald, 30);
    text(municipality[row], 100, 560);

}

/*================================================*/
switch(rollover)
{
  case 0:
  showData = true;
  row = 9;
  break;
  
/*================================================*/ 
  case 1:
  showData = true;
  row = 3;
  break;
  
/*================================================*/
  case 2:
  showData = true;
  row = 8;
  break;
 
/*================================================*/  
  case 3:
  showData = true;
  row = 7;
  break;

/*================================================*/  
  case 4:
  showData = true;
  row = 2;
  break;

/*================================================*/
  case 5:
  showData = true;
  row = 1;
  break;

/*================================================*/  
  case 6:
  showData = true;
  row = 0;
  break;

/*================================================*/  
  case 7:
  showData = true;
  row = 5;
  break;

/*================================================*/
  case 8:
  showData = true;
  row = 4;
  break;

/*================================================*/  
  case 9:
  showData = true;
  row = 6;
  break;
  
/*================================================*/
  case 10:
  showData = false;
  break;
}

}

/*================================================*/
// map function
void map(float mx,float my,float mw,float mh)
{

// no. 10 the base map
// here at 50% size and tinted grey
tint(255);

// base map size
img[10].resize(int(mw),int(mh));

// base map position
image(img[10],mx,my);

// roll overs based on mx, my, mh, mw - so that you can change the placement and size easily
// so don't change these - only mx, my, mw and mh
if(mouseX > mx+(mw/2) && mouseX < mx+mw && mouseY > my && mouseY < my+(mh/2.4) )
  {
    rollover = 0;
  } 

if(mouseX > mx+(mw/5.7) && mouseX < mx+(mw/2.6) && mouseY > my+(mh/2.5) && mouseY < my+(mh/1.9) )
  {
    rollover = 1;
  } 

if(mouseX > mx+(mw/2.6) && mouseX < mx+(mw/2) && mouseY > my+(mh/2.4) && mouseY < my+(mh/1.5) )
  { 
    rollover = 2;
  } 

if(mouseX > mx+(mw/2) && mouseX < mx+(mw/1.4) && mouseY > my+(mh/2.4) && mouseY < my+(mh/1.5) )
  { 
    rollover = 3;
  } 

if(mouseX > mx+(mw/1.8) && mouseX < mx+(mw/1.16) && mouseY > my+(mh/1.65) && mouseY < my+(mh/1.2) )
  { 
    rollover = 4;
  } 

if(mouseX > mx+(mw/2.6) && mouseX < mx+(mw/1.8) && mouseY > my+(mh/1.4) && mouseY < my+(mh) )
  { 
    rollover = 5;
  } 
 
if(mouseX > mx+(mw/3.7) && mouseX < mx+(mw/2.6) && mouseY > my+(mh/1.35) && mouseY < my+(mh/1.1) )
  { 
    rollover = 6;
  } 

if(mouseX > mx+(mw/4.7) && mouseX < mx+(mw/3.7) && mouseY > my+(mh/1.55) && mouseY < my+(mh/1.3) )
  { 
    rollover = 7;
  } 


if(mouseX > mx+(mw/5.5) && mouseX < mx+(mw/3.5) && mouseY > my+(mh/1.9) && mouseY < my+(mh/1.6) )
  { 
    rollover = 8;
  } 

if(mouseX > mx && mouseX < mx+(mw/5) && mouseY > my+(mh/1.8) && mouseY < my+(mh/1.2) )
  { 
    rollover = 9;
  } 

// if not in the map space
if(mouseX >= mw+mx || mouseX <= mx ||  mouseY >= mh+my || mouseY <= my)
  {
    rollover = 10;
  }
  
  // points to the current roll over
if(rollover <= 9)
  {
    // tinted light blue (you can add alpha if you want
    tint(255, 246, 0);
    
    // resize the same as base map
    img[rollover].resize(int(mw), int(mh));
    
    // position the same as base map
    image(img[rollover],mx,my);
    
  }
}

/*================================================*/
